com.jscape.util.workflow

## Class VariableDateRangeExpression

- java.lang.Object
- - com.jscape.util.functor.UnaryFunction<ExpressionContext,java.lang.Object>
  - - com.jscape.util.workflow.VariableDateRangeExpression

- All Implemented Interfaces:
    java.io.Serializable

      public class VariableDateRangeExpression
      extends com.jscape.util.functor.UnaryFunction<ExpressionContext,java.lang.Object>

  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.jscape.util.functor.UnaryFunction

      `com.jscape.util.functor.UnaryFunction.Chain<T,R,U>, com.jscape.util.functor.UnaryFunction.Constant<T,U>, com.jscape.util.functor.UnaryFunction.Evaluator<V,R>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableDateRangeExpression()`
    `VariableDateRangeExpression(java.lang.String variableName, long startDate, long endDate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluate(ExpressionContext value)`
    `long` | `getEndDate()`
    `long` | `getStartDate()`
    `java.lang.String` | `getVariableName()`
    `void` | `setEndDate(long value)`
    `void` | `setStartDate(long value)`
    `void` | `setVariableName(java.lang.String value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.util.functor.UnaryFunction

      `constant, then`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableDateRangeExpression

          public VariableDateRangeExpression(java.lang.String variableName,
                                             long startDate,
                                             long endDate)

    - #### VariableDateRangeExpression

          public VariableDateRangeExpression()

  - ### Method Detail

    - #### getVariableName

          public java.lang.String getVariableName()

    - #### setVariableName

          public void setVariableName(java.lang.String value)

    - #### getStartDate

          public long getStartDate()

    - #### setStartDate

          public void setStartDate(long value)

    - #### getEndDate

          public long getEndDate()

    - #### setEndDate

          public void setEndDate(long value)

    - #### evaluate

          public java.lang.Object evaluate(ExpressionContext value)

      Specified by:
        `evaluate` in class `com.jscape.util.functor.UnaryFunction<ExpressionContext,java.lang.Object>`
      Parameters:
        `value` - value
      Returns:
        R instance

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved